Coolify logoCoolify
PATCH
/servers/{uuid}

Update Server.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Server UUID

Request Body

application/json

Server updated.

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the server.

description?string

The description of the server.

ip?string

The IP of the server.

port?integer

The port of the server.

user?string

The user of the server.

private_key_uuid?string

The UUID of the private key.

is_build_server?boolean

Is build server.

instant_validate?boolean

Instant validate.

proxy_type?string

The proxy type.

Value in"traefik" | "caddy" | "none"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/servers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "uuid": "string",  "name": "string",  "description": "string",  "ip": "string",  "user": "string",  "port": 0,  "proxy": {},  "proxy_type": "traefik",  "high_disk_usage_notification_sent": true,  "unreachable_notification_sent": true,  "unreachable_count": 0,  "validation_logs": "string",  "log_drain_notification_sent": true,  "swarm_cluster": "string",  "settings": {    "id": 0,    "concurrent_builds": 0,    "deployment_queue_limit": 0,    "dynamic_timeout": 0,    "force_disabled": true,    "force_server_cleanup": true,    "is_build_server": true,    "is_cloudflare_tunnel": true,    "is_jump_server": true,    "is_logdrain_axiom_enabled": true,    "is_logdrain_custom_enabled": true,    "is_logdrain_highlight_enabled": true,    "is_logdrain_newrelic_enabled": true,    "is_metrics_enabled": true,    "is_reachable": true,    "is_sentinel_enabled": true,    "is_swarm_manager": true,    "is_swarm_worker": true,    "is_terminal_enabled": true,    "is_usable": true,    "logdrain_axiom_api_key": "string",    "logdrain_axiom_dataset_name": "string",    "logdrain_custom_config": "string",    "logdrain_custom_config_parser": "string",    "logdrain_highlight_project_id": "string",    "logdrain_newrelic_base_uri": "string",    "logdrain_newrelic_license_key": "string",    "sentinel_metrics_history_days": 0,    "sentinel_metrics_refresh_rate_seconds": 0,    "sentinel_token": "string",    "docker_cleanup_frequency": "string",    "docker_cleanup_threshold": 0,    "server_id": 0,    "wildcard_domain": "string",    "created_at": "string",    "updated_at": "string",    "delete_unused_volumes": true,    "delete_unused_networks": true  }}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}